package com.ruoyi.model.service;

import java.util.List;
import com.ruoyi.model.domain.AppletConfig;

/**
 * 配置信息Service接口
 * 
 * @author ruoyi
 * @date 2025-03-27
 */
public interface IAppletConfigService 
{
    /**
     * 查询配置信息
     * 
     * @param paramCode 配置信息主键
     * @return 配置信息
     */
    public AppletConfig selectAppletConfigByParamCode(String paramCode);

    /**
     * 查询配置信息列表
     * 
     * @param appletConfig 配置信息
     * @return 配置信息集合
     */
    public List<AppletConfig> selectAppletConfigList(AppletConfig appletConfig);

    /**
     * 新增配置信息
     * 
     * @param appletConfig 配置信息
     * @return 结果
     */
    public int insertAppletConfig(AppletConfig appletConfig);

    /**
     * 修改配置信息
     * 
     * @param appletConfig 配置信息
     * @return 结果
     */
    public int updateAppletConfig(AppletConfig appletConfig);

    /**
     * 批量删除配置信息
     * 
     * @param paramCodes 需要删除的配置信息主键集合
     * @return 结果
     */
    public int deleteAppletConfigByParamCodes(String[] paramCodes);

    /**
     * 删除配置信息信息
     * 
     * @param paramCode 配置信息主键
     * @return 结果
     */
    public int deleteAppletConfigByParamCode(String paramCode);
}
