package com.ruoyi.model.service;

import java.util.Date;
import java.util.List;
import com.ruoyi.model.domain.AppletOrder;

/**
 * 订单信息Service接口
 * 
 * @author ruoyi
 * @date 2025-03-28
 */
public interface IAppletOrderService 
{
    /**
     * 查询订单信息
     * 
     * @param createTime 订单信息主键
     * @return 订单信息
     */
    public AppletOrder selectAppletOrderByCreateTime(Date createTime);

    /**
     * 查询订单信息列表
     * 
     * @param appletOrder 订单信息
     * @return 订单信息集合
     */
    public List<AppletOrder> selectAppletOrderList(AppletOrder appletOrder);

    /**
     * 新增订单信息
     * 
     * @param appletOrder 订单信息
     * @return 结果
     */
    public int insertAppletOrder(AppletOrder appletOrder);

    /**
     * 修改订单信息
     * 
     * @param appletOrder 订单信息
     * @return 结果
     */
    public int updateAppletOrder(AppletOrder appletOrder);

    /**
     * 批量删除订单信息
     * 
     * @param createTimes 需要删除的订单信息主键集合
     * @return 结果
     */
    public int deleteAppletOrderByCreateTimes(Date[] createTimes);

    /**
     * 删除订单信息信息
     * 
     * @param createTime 订单信息主键
     * @return 结果
     */
    public int deleteAppletOrderByCreateTime(Date createTime);
}
