package com.ruoyi.model.service.impl;

import java.util.Date;
import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.model.mapper.AppletOrderMapper;
import com.ruoyi.model.domain.AppletOrder;
import com.ruoyi.model.service.IAppletOrderService;

/**
 * 订单信息Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-28
 */
@Service
public class AppletOrderServiceImpl implements IAppletOrderService 
{
    @Autowired
    private AppletOrderMapper appletOrderMapper;

    /**
     * 查询订单信息
     * 
     * @param createTime 订单信息主键
     * @return 订单信息
     */
    @Override
    public AppletOrder selectAppletOrderByCreateTime(Date createTime)
    {
        return appletOrderMapper.selectAppletOrderByCreateTime(createTime);
    }

    /**
     * 查询订单信息列表
     * 
     * @param appletOrder 订单信息
     * @return 订单信息
     */
    @Override
    public List<AppletOrder> selectAppletOrderList(AppletOrder appletOrder)
    {
        return appletOrderMapper.selectAppletOrderList(appletOrder);
    }

    /**
     * 新增订单信息
     * 
     * @param appletOrder 订单信息
     * @return 结果
     */
    @Override
    public int insertAppletOrder(AppletOrder appletOrder)
    {
        appletOrder.setCreateTime(DateUtils.getNowDate());
        return appletOrderMapper.insertAppletOrder(appletOrder);
    }

    /**
     * 修改订单信息
     * 
     * @param appletOrder 订单信息
     * @return 结果
     */
    @Override
    public int updateAppletOrder(AppletOrder appletOrder)
    {
        appletOrder.setUpdateTime(DateUtils.getNowDate());
        return appletOrderMapper.updateAppletOrder(appletOrder);
    }

    /**
     * 批量删除订单信息
     * 
     * @param createTimes 需要删除的订单信息主键
     * @return 结果
     */
    @Override
    public int deleteAppletOrderByCreateTimes(Date[] createTimes)
    {
        return appletOrderMapper.deleteAppletOrderByCreateTimes(createTimes);
    }

    /**
     * 删除订单信息信息
     * 
     * @param createTime 订单信息主键
     * @return 结果
     */
    @Override
    public int deleteAppletOrderByCreateTime(Date createTime)
    {
        return appletOrderMapper.deleteAppletOrderByCreateTime(createTime);
    }
}
